module.exports = {
  env: {
    commonjs: true,
    browser: true,
    es6: true,
    node: true
  },
  extends: [
    'es/2015/server',                     // enable strict rules
    'standard',                           // standard.js
    'plugin:node/recommended',            // additional rules for import/require/etc.
    'plugin:eslint-comments/recommended'  // checks linter comments (e.g. temporary disabling some rules)
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: 'module'
  },
  rules: {
    'eslint-comments/no-unused-disable': 'error',
    'array-bracket-spacing': 'off'
  }
}
